## org.pentaho.reporting.libraries.formula.lvalues
Class AbstractLValue

    java.lang.Object
      org.pentaho.reporting.libraries.formula.lvalues.AbstractLValue

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, LValue

Direct Known Subclasses:
  ContextLookup, FormulaFunction, PostfixTerm, PrefixTerm, StaticValue, Term

    public abstract class AbstractLValue

extends java.lang.Object
implements LValue

Creation-Date: 01.11.2006, 18:19:00

Author:
  Thomas Morgner
See Also:
  Serialized Form

Method Summary
`java.lang.Object` `clone()`
`LValue[]` `getChildValues()` Returns any dependent lvalues (parameters and operands, mostly).
`FormulaContext` `getContext()`
`ParsePosition` `getParsePosition()`
`Type` `getValueType()` Querying the value type is only valid *after* the value has been evaluated.
`void` `initialize(FormulaContext context)`
`void` `setParsePosition(ParsePosition parsePosition)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.reporting.libraries.formula.lvalues.LValue
`evaluate, isConstant`

Method Detail

### getParsePosition

    public ParsePosition getParsePosition()

  Specified by:
    `getParsePosition` in interface `LValue`

### setParsePosition

    public void setParsePosition(ParsePosition parsePosition)

### initialize

    public void initialize(FormulaContext context)
                    throws EvaluationException

  Specified by:
    `initialize` in interface `LValue`
  Throws:
    `EvaluationException`

### getContext

    public FormulaContext getContext()

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Specified by:
    `clone` in interface `LValue`
  Overrides:
    `clone` in class `java.lang.Object`
  Throws:
    `java.lang.CloneNotSupportedException`

### getChildValues

    public LValue[] getChildValues()

  Returns any dependent lvalues (parameters and operands, mostly).

  Specified by:
    `getChildValues` in interface `LValue`
  Returns:

### getValueType

    public Type getValueType()

  Querying the value type is only valid *after* the value has been evaluated.

  Specified by:
    `getValueType` in interface `LValue`
  Returns: